import ParBis
import SeqBis
import Bond
import System.Environment(getArgs, getProgName)

main :: IO ()
main = do
    progName <- getProgName
    args <- getArgs
    let filename : prog = args
        func = case prog of
            [] -> runSeq
            ["seq"] -> runSeq
            ["parMap"] -> runParMapProg
            ["parChunk"] -> runParChunkProg
            _ -> error $ "Usage: " ++ progName ++ "<filename> <prog-name>, where <prog-name> = {seq, parMap, parChunk}, default to seq"
    bondData <- fmap lines (readFile filename)
    let bondTups = map (parseBondData . (read :: String ->(Double, Double, Double, Double))) bondData
    let errors = func bondTups
    print $ sum errors

